<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [
  <!ENTITY copy "&#169;">
  <!ENTITY nbsp "&#160;">
  <!ENTITY lk "/webcenter_page/user_lang_key">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:java="http://xml.apache.org/xslt/java" xmlns:XSLUtils="com.esko.webcenter.jsp.XSLUtils" xmlns:Lang="com.esko.webcenter.jsp.LanguageMgr"
	exclude-result-prefixes="XSLUtils java Lang">
  <xsl:import href="template.xsl"/>
  <xsl:import href="projdetails_template.xsl"/>
  <xsl:import href="attributetemplates.xsl"/>
  
  
	<xsl:variable name="useTableBodyContainer" select="false()" />
  	
  <xsl:template name="bodyextensions">
    <xsl:attribute name="onload">SetInitialFocus();</xsl:attribute>
  </xsl:template>

    <xsl:variable name="isEditable" select="((/webcenter_page/is_project_editable &gt; 0) 
							or (/webcenter_page/project_user_permissions/permission/update = 1)) 
							and not(/webcenter_page/no_change_inactive_proj_attributes)" />
	
 							
	<!-- 
  
            template that controls the generation of the body header
            
	-->
	<xsl:template name="bodyheader">
		<!-- no body header needed -->	
	</xsl:template>

	<xsl:template name="pagesubtitle">
		<!-- display secondary header -->
  		    <xsl:variable name="catDisplayName">
	        <xsl:choose>
	          <xsl:when test="/webcenter_page/category/name"><xsl:value-of select="/webcenter_page/category/name"/></xsl:when>
	          <xsl:otherwise>---</xsl:otherwise>
	        </xsl:choose>
	    </xsl:variable>
	   <xsl:variable name="catDisplayViewName">
	       <xsl:choose>
	         <xsl:when test="/webcenter_page/attrcatview"><xsl:value-of select="/webcenter_page/attrcatview"/></xsl:when>
	         <xsl:otherwise><xsl:value-of select="Lang:getStr(&lk;, 'ACLayoutDefault')"/></xsl:otherwise>
	       </xsl:choose>
	   </xsl:variable>
	
		<xsl:call-template name="DetailsAttributeHeader">
			<xsl:with-param name="catDisplayName" select="$catDisplayName"/>
			<xsl:with-param name="catDisplayViewName" select="$catDisplayViewName"/>
			<xsl:with-param name="isEditable" select="$isEditable and not(/webcenter_page/attrcatview)"/>
			<xsl:with-param name="changeActionValue" select="'SaveProjectAttributes'" />
			<xsl:with-param name="showPrintButton" select="true()" />
			<!-- when we are in a custom view, override the header with the label of the menu -->
			<xsl:with-param name="useLabelOfDetailsMenu" select="boolean(/webcenter_page/attrcatview)"/>
		</xsl:call-template>	
	</xsl:template>

  <!-- 
  
            template that controls the generation of the body content
            
  -->
  <xsl:template name="bodycontent">
  
  	
  	
	<xsl:variable name="dynamicAttr" select="category/category_XML"/>
	
	<!-- Confirmation section -->
	<xsl:call-template name="DisplayNotification"/>
	<xsl:call-template name="DisplayAttrSaveNotification"/>
	

    <xsl:choose>
    	<!-- No Category assigned : display the appropriate message -->
    	<xsl:when test="no_attr_category_msg">
    		<div class="alert alert-info" role="alert">
				<xsl:value-of select="Lang:getStr(&lk;,'PROJHASNOATTRSCATEGORY_TAG')"/>
			</div>
    	</xsl:when>
    	<xsl:otherwise>
			  	<form name="actionform" method="post" action="doprojectdetailsactions.jsp" enctype="MULTIPART/FORM-DATA" class="wcr-form">
				  	<input type="hidden" name="actionVal" value="SaveProjectAttributes"/>
					<input type="hidden" name="attributeCategoryReturnPage">
						<xsl:if test="boolean(/webcenter_page/attrcatview)">
							<xsl:attribute name="value"><xsl:value-of select="/webcenter_page/attrcatviewreturnurl"/></xsl:attribute>
						</xsl:if>
					</input>
				  	<xsl:call-template name="projDetailsHiddenInputs"/>
				  	<xsl:call-template name="menuFileHiddenInput"/>

					<!-- firefox needs submit button for actual submission -->
  					<input type="submit" style="display:none;" />
					
			      	<div id="ACatObj"></div>
			      	<div id="ACatPanel"></div>
				</form>
		</xsl:otherwise>
	</xsl:choose>
	   
	<xsl:call-template name="AttributeActionButtons">
		<xsl:with-param name="action" select="'doprojectdetailsactions.jsp'" />
		<xsl:with-param name="importActionValue" select="'ImportProjectAttrsFromXML'" />
		<xsl:with-param name="exportActionValue" select="'ExportProjectAttrsToXML'" />
		<xsl:with-param name="changeActionValue" select="'SaveProjectAttributes'" />
		<xsl:with-param name="inputTemplateName" select="'projDetailsHiddenInputs'" />
		<xsl:with-param name="showImportExportFunctionality" select="not(/webcenter_page/attrcatview) and ($isEditable = 'true')"/>
	</xsl:call-template>

  </xsl:template>
  
  
  
  <xsl:template name="changeCategoryHref">
    <xsl:call-template name="projectDetailsHref">
      <xsl:with-param name="page" select="'projdetailsattrscategory.jsp'"/>
    </xsl:call-template>
  </xsl:template>

  

  <!-- 
  
            template that controls the inclusion of javascript functionality 
            
  -->
  <xsl:template name="scriptincs">
    <script src="javascript/validate.js" type="text/javascript"/>
    <script src="javascript/TableSelection.js" type="text/javascript"/>
    <script src="javascript/webcenter_ajax.js" type="text/javascript"/>
    <script src="javascript/webcenter_xml.js" type="text/javascript"/>
    <script src="javascript/webcenter_html.js" type="text/javascript"/>

    <style>
      #ui-datepicker-div
      {
      z-index: 9999999;
      }
    </style>
    <script type="text/javascript">
			<xsl:text disable-output-escaping="yes">&lt;!--</xsl:text>&#xA;

//Contents for menu 1
<xsl:variable name="catHref">projdetailsattrscategory.jsp?<xsl:call-template name="menuFileUrlParameter"/></xsl:variable>

var catMenu=new Array();
catMenu[0]='&lt;a href="<xsl:value-of select="$catHref"/>"&gt;Change Category&lt;\/a&gt;&lt;br&gt;';

		function OpenNewWindow(href)
		{
		  window.open(href);
		}
		
		function PrintWindow(newWindow)
		{
			var location = '';
			if (newWindow)
				location += 'javascript:OpenNewWindow("';
			location += 'projdetailsattrs.jsp?projectID=<xsl:value-of select="/webcenter_page/project/@id"/>'; 
			<xsl:if test="count(/webcenter_page/attrcatview)>0">
				location += '&amp;attrcatview=<xsl:call-template name="encodesinglequotes"><xsl:with-param name="string" select="/webcenter_page/attrcatview"/></xsl:call-template>';
			</xsl:if>						 
			<xsl:if test="count(/webcenter_page/pagetitle)>0">
				location += '&amp;pagetitle=<xsl:call-template name="encodesinglequotes"><xsl:with-param name="string" select="/webcenter_page/pagetitle"/></xsl:call-template>';
			</xsl:if>						 
			if (newWindow)
				location += '&amp;print=1");';
			else
				location += '&amp;print=1&amp;menu_file=<xsl:call-template name="encodesinglequotes"><xsl:with-param name="string" select="/webcenter_page/menu_file"/></xsl:call-template>';
//			alert(location);
			window.location = location;
						
			return;  				
		}
        
		<xsl:if test="/webcenter_page/project/category_id">
      	require(["attributecategory/AttributeCategory"], function(AttributeCategory){
      		$(document).ready(function() {	      
		
				var currentUser = ObjectHandler.getCloneOfObject(gCurrentUser);
			    currentUser.canEditAttributes = <xsl:value-of select="$isEditable"/>;
				var aCatOptions = new Object();
				
				 aCatOptions.ACatObj = "ACatObj";
				aCatOptions.isTemplate = <xsl:value-of select="/webcenter_page/project/is_template"/>;
			    aCatOptions.ACatPanel = "ACatPanel";
			    aCatOptions.readURL = "GetAttributeCategoryXML.jsp?categoryid=" + '<xsl:value-of select="/webcenter_page/project/category_id"/>';
			    // ensure to only append the category's mod date when it is known
				<xsl:if test="/webcenter_page/category/mod_time_stamp">
					aCatOptions.readURL  += '&amp;lastmodified='+ <xsl:value-of select="/webcenter_page/category/mod_time_stamp"/> ;
				</xsl:if>
			    aCatOptions.currentUser = currentUser;
			    aCatOptions.valuesURL = "GetAttributes.jsp?projectid=" +'<xsl:value-of select="/webcenter_page/project/@id"/>';
			     
			    <xsl:if test="count(/webcenter_page/attrcatview)>0">
			      	aCatOptions.view='<xsl:call-template name="encodesinglequotes"><xsl:with-param name="string" select="/webcenter_page/attrcatview"/></xsl:call-template>';
			    </xsl:if>
			    aCatOptions.defaultHourAsHalfHours = <xsl:value-of select="/webcenter_page/default_due_date_time"/>;
				aCatOptions.type = "project";
		     	aCatOptions.projectID = '<xsl:value-of select="/webcenter_page/project/@id"/>';
			    myACat = new AttributeCategory(aCatOptions);
			    
			    // myACat is a global variable that is sometimes overwritten. this is a safe solution
			    var projACatObj = myACat;
			    
			    // add trigger to warn user when leaving the page with unsaved changes
			    window.onbeforeunload = function() {
			    	if ((projACatObj.attributesChanged === true) &amp;&amp; !projACatObj.submitInProgress) {
			    		return '<xsl:call-template name="encodesinglequotes"><xsl:with-param name="string" select="Lang:getStr(&lk;,'ACatConfirmPageExit')"/></xsl:call-template>';
			    	}
			    };
	    	});
      	});
		</xsl:if>

      <xsl:text disable-output-escaping="yes">//--&gt;</xsl:text>&#xA;
    </script>
    <xsl:call-template name="ProjDetailsJavaScript"/>  
	<xsl:call-template name="AttributeTemplateJavaScript"/>
  </xsl:template>    
</xsl:stylesheet>
